# 63. Mutation: salva organizzazione

Mutazione per aggiungere o modificare l"Organizzazione". L"Utente" che ha inviato la richiesta saveOrganization sarà il proprietario dell"Organizzazione".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Nome dell'organizzazione"
      surname: "Cognome del proprietario"
      givenName: "Nome proprio del proprietario"
      email: "proprietario@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nome
    cognome
    nome
    email
    telefono
    dataCreazione
    updatedDate
  }
}
```

{% endcode %}

Per modificare l"Organizzazione" esistente, aggiungere l'attributo uuid alla richiesta.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Nuovo nome dell'organizzazione"
      surname: "Cognome del proprietario"
      givenName: "Nome proprio del proprietario"
      email: "info_proprietario@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nome
    cognome
    nome
    email
    telefono
    dataCreazione
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/63.-mutation-salva-organizzazione.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
